mediacommon
Definitions and functions shared between gortsplib, gohlslib, gortmplib and MediaMTX, in particular:
Go ≥ 1.26 is required.Specifications
| name | area | | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | --------------------------------- | | ISO 13818-2, Generic Coding of Moving Pictures and Associated Audio information, Part 2, Video | codecs / MPEG-1/2 Video | | ISO 14496-2, Coding of audio-visual objects, Part 2, Visual | codecs / MPEG-4 Video | | ITU-T Rec. T-871, JPEG File Interchange Format | codecs / JPEG | | ITU-T Rec. H.264 (08/2021) | codecs / H264 | | ITU-T Rec. H.265 (08/2021) | codecs / H265 | | VP9 Bitstream & Decoding Process Specification v0.6 | codecs / VP9 | | AV1 Bitstream & Decoding Process | codecs / AV1 | | ITU-T Rec. G.711 (11/88) | codecs / G711 | | ISO 11172-3, Coding of moving pictures and associated audio | codecs / MPEG-1/2 Audio | | ISO 13818-3, Generic Coding of Moving Pictures and Associated Audio information, Part 3, Audio | codecs / MPEG-1/2 Audio | | ISO 14496-3, Coding of audio-visual objects, Part 3, Audio | codecs / MPEG-4 Audio | | RFC6716, Definition of the Opus Audio Codec | codecs / Opus | | RFC7845, Ogg Encapsulation for the Opus Audio Codec | codecs / Opus | | ATSC A/52, Digital Audio Compression (AC-3) (E-AC-3) Standard | codecs / AC-3, E-AC-3 | | ETSI TS 102 366, Digital Audio Compression (AC-3, Enhanced AC-3) Standard | codecs / AC-3, E-AC-3 | | RFC9639, Free Lossless Audio Codec (FLAC) | codecs / FLAC | | ISO 14496-1, Coding of audio-visual objects, Part 1, Systems | formats / MP4 | | ISO 14496-12, Coding of audio-visual objects, Part 12, ISO base media file format | formats / MP4 | | ISO 14496-14, Coding of audio-visual objects, Part 14, MP4 file format | formats / MP4 | | ISO 14496-15, Coding of audio-visual objects, Part 15, Advanced Video Coding (AVC) file format | formats / MP4 + H264 / H265 | | VP9 Codec ISO Media File Format Binding | formats / MP4 + VP9 | | AV1 Codec ISO Media File Format Binding | formats / MP4 + AV1 | | Opus in MP4/ISOBMFF | formats / MP4 + Opus | | ISO 23003-5, MPEG audio technologies, Part 5, Uncompressed audio in MPEG-4 file format | formats / MP4 + LPCM | | Encapsulation of FLAC in ISO Base Media File Format | formats/ MP4 + FLAC | | ISO 13818-1, Generic coding of moving pictures and associated audio information: Systems | formats / MPEG-TS | | ETSI TS Opus 0.1.3-draft, Opus Interactive Audio Codec Transport Multiplexing Standard | formats / MPEG-TS + Opus | | MISB ST 1402, MPEG-2 Transport Stream for Class 1/Class 2 Motion Imagery, Audio and Metadata | formats / MPEG-TS + KLV | | ETSI EN 300 743, Digital Video Broadcasting (DVB), Subtitling systems | formats / MPEG-TS + DVB subtitles | | ETSI EN 300 468, Digital Video Broadcasting (DVB), Specification for Service Information (SI) in DVB systems | formats / MPEG-TS + DVB subtitles |